What?
=====

This is a common module shared by product-specific libraries useful in the development of Atlassian Connect add-ons.

The main library source is written to be compatible with Node.js v0.10.x, but the tests rely on ES6 generators,
which means you must use Node.js v0.11.x to run the tests.  Using `nvm` to manage multiple Node.js versions is
recommended.

Running Tests
=============

You'll need `redis` to run the complete test suite.  If you don't have it, get it with an OS-appropriate package
manager.  On OS X, for example, [brew](http://brew.sh) is recommended.

```
$ brew install redis
```

Next, if you don't have `nvm`, install it.  It's not strictly required, but will aid tremendously in running multiple
versions of Node.js.

```
$ curl https://raw.githubusercontent.com/creationix/nvm/v0.12.1/install.sh | bash
```

For more advanced help with `nvm`, see its [website](https://github.com/creationix/nvm).

If you need Node.js v0.11.x, install and select it.

```
$ nvm install v0.11.13
$ nvm use v0.11.13
```

Next, make sure you have this repository's dependencies installed.

```
$ cd ac-node
$ npm install
```

Finally, run the full test suite.

```
$ npm test
```

To skip slow-running tests:

```
$ NODE_TEST=fast npm test
```

To skip redis tests:

```
$ NODE_TEST=no-redis npm test
```
