var assert = require('assert');
var WebhookManager = require('..').WebhookManager;

describe('ac webhook manager', function () {

  var manager;

  beforeEach(function () {
    manager = WebhookManager();
  });

  it('should return nothing when get is called with an unrecognized name', function *() {
    var output = yield manager.get('missing');
    assert.ok(!output);
  });

  it('should successfully get previously added definitions', function *() {
    var key = 'key';
    var input = {name: key};
    yield manager.add(key, input);
    var output = yield manager.get(key);
    assert.deepEqual(input, output);
  });

  it('should successfully remove previously added definitions', function *() {
    var key = 'key';
    var input = {name: key};
    yield manager.add(key, input);
    var output = yield manager.get(key);
    assert.deepEqual(input, output);
    yield manager.remove(key);
    output = yield manager.get(key);
    assert.ok(!output);
  });

});
